KDE 4.5 PyKDE API Reference

- KDE's Python API

# KOpenWithDialog Class Reference

`from PyKDE4.kio import *`

Inherits: KDialog → QDialog → QWidget → QObject

## Detailed Description

"Open With" dialog box.

Note:
  To let the user choose an application and run it immediately, use simpler KRun.displayOpenWithDialog().

Author:
  David Faure <faure@kde.org>

## Methods
| __init__ (self, KUrl.List urls, QWidget parent=0)
| __init__ (self, KUrl.List urls, QString text, QString value, QWidget parent=0)
| __init__ (self, QString mimeType, QString value, QWidget parent=0)
| __init__ (self, QWidget parent=0)
| __init__ (self, KOpenWithDialog a0)
| accept (self)
| hideNoCloseOnExit (self)
| hideRunInTerminal (self)
KSharedPtr | service (self)
| setSaveNewApplications (self, bool b)
| slotHighlighted (self, QString _name, QString _exec)
| slotSelected (self, QString _name, QString _exec)
| slotTerminalToggled (self, bool a0)
| slotTextChanged (self)
QString | text (self)

## Method Documentation

__init__ | ( | self, |
|  | KUrl.List | urls,
|  | QWidget | parent=0
| ) |  |  |

Create a dialog that asks for a application to open a given URL(s) with.

Parameters:

  | urls | the URLs that should be opened. The list can be empty, if the dialog is used to choose an application but not for some particular URLs.
  | parent | parent widget

__init__ | ( | self, |
|  | KUrl.List | urls,
|  | QString | text,
|  | QString | value,
|  | QWidget | parent=0
| ) |  |  |

Create a dialog that asks for a application to open a given URL(s) with.

Parameters:

  | urls | is the URL that should be opened
  | text | appears as a label on top of the entry box.
  | value | is the initial value of the line
  | parent | parent widget

__init__ | ( | self, |
|  | QString | mimeType,
|  | QString | value,
|  | QWidget | parent=0
| ) |  |  |

Create a dialog to select a service for a given mimetype. Note that this dialog doesn't apply to URLs.

Parameters:

  | mimeType | the mime type we want to choose an application for.
  | value | is the initial value of the line
  | parent | parent widget

__init__ | ( | self, |
|  | QWidget | parent=0
| ) |  |  |

Create a dialog to select an application Note that this dialog doesn't apply to URLs.

Parameters:

  | parent | parent widget

__init__ | ( | self, |
|  | KOpenWithDialog | a0
| ) |  |  |

accept | ( |  | self ) |

Reimplemented from QDialog.accept()

hideNoCloseOnExit | ( |  | self ) |

Hide the "Do not &close when command exits" Checkbox

hideRunInTerminal | ( |  | self ) |

Hide the "Run in &terminal" Checkbox

KSharedPtr service | ( |  | self ) |

Returns:
  the chosen service in the application tree Can be null, if the user typed some text and didn't select a service.

setSaveNewApplications | ( | self, |
|  | bool | b
| ) |  |  |

Set whether a new .desktop file should be created if the user selects an application for which no corresponding .desktop file can be found.

Regardless of this setting a new .desktop file may still be created if the user has chosen to remember the file association.

The default is false: no .desktop files are created.

slotHighlighted | ( | self, |
|  | QString | _name,
|  | QString | _exec
| ) |  |  |

slotSelected | ( | self, |
|  | QString | _name,
|  | QString | _exec
| ) |  |  |

slotTerminalToggled | ( | self, |
|  | bool | a0
| ) |  |  |

slotTextChanged | ( |  | self ) |

QString text | ( |  | self ) |

Returns:
  the text the user entered